Page MenuHomeVyOS Platform

numeric validator doesn't support multiple ranges
Closed, ResolvedPublicBUG

Description

The validator for numeric values (/usr/libexec/vyos/validators/numeric) makes it look like it supports multiple ranges, and doesn't complain about multiple --range arguments, but in practice it always uses the last one.

Details

Difficulty level
Easy (less than an hour)
Version
1.2.3
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Event Timeline

pasik added a subscriber: pasik.Oct 20 2019, 1:21 PM
syncer changed the task status from Open to Backport candidate.Nov 16 2019, 11:07 PM
syncer assigned this task to jestabro.
syncer triaged this task as Normal priority.
syncer moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2 Crux (VyOS 1.2.4) board.
jestabro closed this task as Resolved.Nov 22 2019, 2:04 PM